/ api / cat / special / _new
_new
Syntax

    GB_METHOD ( "_new" , NULL , MyClass_new , Parameters )

The `_new` method is called when a new object of this class is created.

This method can takes any argument, and must return nothing (the created object is managed and returned by the interpreter).

The `_new` parameters will come from the NEW operator parameters.

Use this method to initialize the newly created object.

| All object structure fields are already set to zero by the interpreter.

### See also

Special Methods Methods Implementation